﻿* Encoding: UTF-8.
* Internal consistency (Cronbach's alpha) for the questionnaires used in Train4Positivity.

* BASELINE VARIABLES & COVARIATES.
* LOT-R.
* Pre-test.
* Total score. 
RELIABILITY
  /VARIABLES=LOTR_Prä_1 LOTR_Prä_3_inv LOTR_Prä_4 LOTR_Prä_7_inv LOTR_Prä_9_inv LOTR_Prä_10  
  /SCALE('LOT-R_Prä_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Optimism score.
RELIABILITY
  /VARIABLES=LOTR_Prä_1 LOTR_Prä_4 LOTR_Prä_10
  /SCALE('LOT-R_Prä_Opt_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Post-test.
* Total score.
RELIABILITY
  /VARIABLES=LOTR_Post_1 LOTR_Post_3_inv LOTR_Post_4 LOTR_Post_7_inv LOTR_Post_9_inv LOTR_Post_10   
  /SCALE('LOT-R_Post_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Optimism score.
RELIABILITY
  /VARIABLES=LOTR_Post_1 LOTR_Post_4 LOTR_Post_10
  /SCALE('LOT-R_Post_Opt_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* SPF (only pre-test).
RELIABILITY
  /VARIABLES=SPF_1 SPF_2 SPF_3 SPF_4 SPF_5 SPF_6 SPF_7 SPF_8 SPF_9 SPF_10 SPF_11 SPF_12 SPF_13
    SPF_14 SPF_15 SPF_16
  /SCALE('SPF_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* SDS-17 (only pre-test).
RELIABILITY
  /VARIABLES=SES_1_inv SES_2 SES_3 SES_4_inv SES_5 SES_6_inv SES_7_inv SES_8 SES_9 SES_10  SES_11_inv SES_12 
SES_13 SES_14 SES_15_inv SES_16 SES_17_inv      
  /SCALE('SES_gesamt_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* ASF-E-P.
* Pre-test.
RELIABILITY
  /VARIABLES=ASFE_Prä_1_1_Internalität ASFE_Prä_1_2_Stabilität ASFE_Prä_1_3_Globalität
    ASFE_Prä_1_4_Internalität ASFE_Prä_1_5_Stabilität ASFE_Prä_1_6_Globalität ASFE_Prä_2_1_Internalität
    ASFE_Prä_2_2_Stabilität ASFE_Prä_2_3_Globalität ASFE_Prä_2_4_Internalität ASFE_Prä_2_5_Stabilität
    ASFE_Prä_2_6_Globalität ASFE_Prä_5_1_Internalität ASFE_Prä_5_2_Stabilität ASFE_Prä_5_3_Globalität
    ASFE_Prä_5_4_Internalität ASFE_Prä_5_5_Stabilität ASFE_Prä_5_6_Globalität ASFE_Prä_8_1_Internalität
    ASFE_Prä_8_2_Stabilität ASFE_Prä_8_3_Globalität ASFE_Prä_8_4_Internalität ASFE_Prä_8_5_Stabilität
    ASFE_Prä_8_6_Globalität ASFE_Prä_10_1_Internalität ASFE_Prä_10_2_Stabilität
    ASFE_Prä_10_3_Globalität ASFE_Prä_10_4_Internalität ASFE_Prä_10_5_Stabilität
    ASFE_Prä_10_6_Globalität ASFE_Prä_12_1_Internalität ASFE_Prä_12_2_Stabilität
    ASFE_Prä_12_3_Globalität ASFE_Prä_12_4_Internalität ASFE_Prä_12_5_Stabilität
    ASFE_Prä_12_6_Globalität ASFE_Prä_14_1_Internalität ASFE_Prä_14_2_Stabilität
    ASFE_Prä_14_3_Globalität ASFE_Prä_14_4_Internalität ASFE_Prä_14_5_Stabilität
    ASFE_Prä_14_6_Globalität ASFE_Prä_16_1_Internalität ASFE_Prä_16_2_Stabilität
    ASFE_Prä_16_3_Globalität ASFE_Prä_16_4_Internalität ASFE_Prä_16_5_Stabilität
    ASFE_Prä_16_6_Globalität
  /SCALE('ASFE_pos_Prä_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Post-test.
RELIABILITY
  /VARIABLES=ASFE_Post_1_1_Internalität ASFE_Post_1_2_Stabilität ASFE_Post_1_3_Globalität
    ASFE_Post_1_4_Internalität ASFE_Post_1_5_Stabilität ASFE_Post_1_6_Globalität
    ASFE_Post_2_1_Internalität ASFE_Post_2_2_Stabilität ASFE_Post_2_3_Globalität
    ASFE_Post_2_4_Internalität ASFE_Post_2_5_Stabilität ASFE_Post_2_6_Globalität
    ASFE_Post_5_1_Internalität ASFE_Post_5_2_Stabilität ASFE_Post_5_3_Globalität
    ASFE_Post_5_4_Internalität ASFE_Post_5_5_Stabilität ASFE_Post_5_6_Globalität
    ASFE_Post_8_1_Internalität ASFE_Post_8_2_Stabilität ASFE_Post_8_3_Globalität
    ASFE_Post_8_4_Internalität ASFE_Post_8_5_Stabilität ASFE_Post_8_6_Globalität
    ASFE_Post_10_1_Internalität ASFE_Post_10_2_Stabilität ASFE_Post_10_3_Globalität
    ASFE_Post_10_4_Internalität ASFE_Post_10_5_Stabilität ASFE_Post_10_6_Globalität
    ASFE_Post_12_1_Internalität ASFE_Post_12_2_Stabilität ASFE_Post_12_3_Globalität
    ASFE_Post_12_4_Internalität ASFE_Post_12_5_Stabilität ASFE_Post_12_6_Globalität
    ASFE_Post_14_1_Internalität ASFE_Post_14_2_Stabilität ASFE_Post_14_3_Globalität
    ASFE_Post_14_4_Internalität ASFE_Post_14_5_Stabilität ASFE_Post_14_6_Globalität
    ASFE_Post_16_1_Internalität ASFE_Post_16_2_Stabilität ASFE_Post_16_3_Globalität
    ASFE_Post_16_4_Internalität ASFE_Post_16_5_Stabilität ASFE_Post_16_6_Globalität
  /SCALE('ASFE_pos_Post_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* ASF-E-N.
* Pre-test.
RELIABILITY
  /VARIABLES=ASFE_Prä_3_1_Internalität ASFE_Prä_3_2_Stabilität ASFE_Prä_3_3_Globalität
    ASFE_Prä_3_4_Internalität ASFE_Prä_3_5_Stabilität ASFE_Prä_3_6_Globalität ASFE_Prä_4_1_Internalität
    ASFE_Prä_4_2_Stabilität ASFE_Prä_4_3_Globalität ASFE_Prä_4_4_Internalität ASFE_Prä_4_5_Stabilität
    ASFE_Prä_4_6_Globalität ASFE_Prä_6_1_Internalität ASFE_Prä_6_2_Stabilität ASFE_Prä_6_3_Globalität
    ASFE_Prä_6_4_Internalität ASFE_Prä_6_5_Stabilität ASFE_Prä_6_6_Globalität ASFE_Prä_7_1_Internalität
    ASFE_Prä_7_2_Stabilität ASFE_Prä_7_3_Globalität ASFE_Prä_7_4_Internalität ASFE_Prä_7_5_Stabilität
    ASFE_Prä_7_6_Globalität ASFE_Prä_9_1_Internalität ASFE_Prä_9_2_Stabilität ASFE_Prä_9_3_Globalität
    ASFE_Prä_9_4_Internalität ASFE_Prä_9_5_Stabilität ASFE_Prä_9_6_Globalität
    ASFE_Prä_11_1_Internalität ASFE_Prä_11_2_Stabilität ASFE_Prä_11_3_Globalität
    ASFE_Prä_11_4_Internalität ASFE_Prä_11_5_Stabilität ASFE_Prä_11_6_Globalität
    ASFE_Prä_13_1_Internalität ASFE_Prä_13_2_Stabilität ASFE_Prä_13_3_Globalität
    ASFE_Prä_13_4_Internalität ASFE_Prä_13_5_Stabilität ASFE_Prä_13_6_Globalität
    ASFE_Prä_15_1_Internalität ASFE_Prä_15_2_Stabilität ASFE_Prä_15_3_Globalität
    ASFE_Prä_15_4_Internalität ASFE_Prä_15_5_Stabilität ASFE_Prä_15_6_Globalität
  /SCALE('ASFE_neg_Prä_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Post-test.
RELIABILITY
  /VARIABLES=ASFE_Post_3_1_Internalität ASFE_Post_3_2_Stabilität ASFE_Post_3_3_Globalität
    ASFE_Post_3_4_Internalität ASFE_Post_3_5_Stabilität ASFE_Post_3_6_Globalität
    ASFE_Post_4_1_Internalität ASFE_Post_4_2_Stabilität ASFE_Post_4_3_Globalität
    ASFE_Post_4_4_Internalität ASFE_Post_4_5_Stabilität ASFE_Post_4_6_Globalität
    ASFE_Post_6_1_Internalität ASFE_Post_6_2_Stabilität ASFE_Post_6_3_Globalität
    ASFE_Post_6_4_Internalität ASFE_Post_6_5_Stabilität ASFE_Post_6_6_Globalität
    ASFE_Post_7_1_Internalität ASFE_Post_7_2_Stabilität ASFE_Post_7_3_Globalität
    ASFE_Post_7_4_Internalität ASFE_Post_7_5_Stabilität ASFE_Post_7_6_Globalität
    ASFE_Post_9_1_Internalität ASFE_Post_9_2_Stabilität ASFE_Post_9_3_Globalität
    ASFE_Post_9_4_Internalität ASFE_Post_9_5_Stabilität ASFE_Post_9_6_Globalität
    ASFE_Post_11_1_Internalität ASFE_Post_11_2_Stabilität ASFE_Post_11_3_Globalität
    ASFE_Post_11_4_Internalität ASFE_Post_11_5_Stabilität ASFE_Post_11_6_Globalität
    ASFE_Post_13_1_Internalität ASFE_Post_13_2_Stabilität ASFE_Post_13_3_Globalität
    ASFE_Post_13_4_Internalität ASFE_Post_13_5_Stabilität ASFE_Post_13_6_Globalität
    ASFE_Post_15_1_Internalität ASFE_Post_15_2_Stabilität ASFE_Post_15_3_Globalität
    ASFE_Post_15_4_Internalität ASFE_Post_15_5_Stabilität ASFE_Post_15_6_Globalität
  /SCALE('ASFE_neg_Post_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* OUTCOMES.
* PSS-10.
* Pre-test.
RELIABILITY
  /VARIABLES=PSS_Prä_1 PSS_Prä_2 PSS_Prä_3 PSS_Prä_4_inv PSS_Prä_5_inv PSS_Prä_6 PSS_Prä_7_inv PSS_Prä_8_inv 
PSS_Prä_9 PSS_Prä_10 
  /SCALE('PSS_Prä_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Post-test.
RELIABILITY
  /VARIABLES=PSS_Post_1 PSS_Post_2 PSS_Post_3 PSS_Post_4_inv PSS_Post_5_inv PSS_Post_6 PSS_Post_7_inv PSS_Post_8_inv
 PSS_Post_9 PSS_Post_10 
  /SCALE('PSS_Post_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* GHQ-28.
* Pre-test.
RELIABILITY
  /VARIABLES=GHQ_Screen_1, GHQ_Screen_2, GHQ_Screen_3, GHQ_Screen_4, 
    GHQ_Screen_5, GHQ_Screen_6, GHQ_Screen_7, GHQ_Screen_8, GHQ_Screen_9, GHQ_Screen_10, GHQ_Screen_11, 
    GHQ_Screen_12, GHQ_Screen_13, GHQ_Screen_14, GHQ_Screen_15, GHQ_Screen_16, GHQ_Screen_17, GHQ_Screen_18, 
    GHQ_Screen_19, GHQ_Screen_20, GHQ_Screen_21, GHQ_Screen_22, GHQ_Screen_23, GHQ_Screen_24, GHQ_Screen_25, 
    GHQ_Screen_26, GHQ_Screen_27, GHQ_Screen_28
  /SCALE('GHQ28_Prä_gesamt_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Post-test.
RELIABILITY
  /VARIABLES=GHQ_Post_1, GHQ_Post_2, GHQ_Post_3, GHQ_Post_4, 
    GHQ_Post_5, GHQ_Post_6, GHQ_Post_7, GHQ_Post_8, GHQ_Post_9, GHQ_Post_10, GHQ_Post_11, 
    GHQ_Post_12, GHQ_Post_13, GHQ_Post_14, GHQ_Post_15, GHQ_Post_16, GHQ_Post_17, GHQ_Post_18, 
    GHQ_Post_19, GHQ_Post_20, GHQ_Post_21, GHQ_Post_22, GHQ_Post_23, GHQ_Post_24, GHQ_Post_25, 
    GHQ_Post_26, GHQ_Post_27, GHQ_Post_28
  /SCALE('GHQ28_Post_gesamt_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* BRS.
* Pre-test.
RELIABILITY
  /VARIABLES=BRS_Prä_1 BRS_Prä_2_inv BRS_Prä_3 BRS_Prä_4_inv BRS_Prä_5 BRS_Prä_6_inv
  /SCALE('BRS_Prä_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Post-test.
RELIABILITY
  /VARIABLES=BRS_Post_1 BRS_Post_2_inv BRS_Post_3 BRS_Post_4_inv BRS_Post_5 BRS_Post_6_inv
  /SCALE('BRS_Post_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* WHO-5.
* Pre-test.
RELIABILITY
  /VARIABLES=WHO_Prä_1 WHO_Prä_2 WHO_Prä_3 WHO_Prä_4 WHO_Prä_5
  /SCALE('WHO5_Prä_gesamt_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Post-test.
RELIABILITY
  /VARIABLES=WHO_Post_1 WHO_Post_2 WHO_Post_3 WHO_Post_4 WHO_Post_5
  /SCALE('WHO5_Prä_gesamt_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* ERQ-
* Pre-test.
RELIABILITY
  /VARIABLES=ERQ_Neubewertung_Prä_1 ERQ_Neubewertung_Prä_2 ERQ_Neubewertung_Prä_3
    ERQ_Neubewertung_Prä_4 ERQ_Neubewertung_Prä_5 ERQ_Neubewertung_Prä_6
  /SCALE('ERQ_Prä_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Post-test.
RELIABILITY
  /VARIABLES=ERQ_Neubewertung_Post_1 ERQ_Neubewertung_Post_2 ERQ_Neubewertung_Post_3
    ERQ_Neubewertung_Post_4 ERQ_Neubewertung_Post_5 ERQ_Neubewertung_Post_6
  /SCALE('ERQ_Post_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* CERQ - positive reappraisal.
* Pre-test.
RELIABILITY
  /VARIABLES=CERQ_Prä_4 CERQ_Prä_13 CERQ_Prä_22
  /SCALE('CERQ_Prä_pos.neu_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Post-test.
RELIABILITY
  /VARIABLES=CERQ_Post_4 CERQ_Post_13 CERQ_Post_22
  /SCALE('CERQ_Post_pos.neu_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* PANAS-PA.
* Pre-test.
RELIABILITY
  /VARIABLES=PANAS_Prä_1, PANAS_Prä_3, PANAS_Prä_4, PANAS_Prä_6, PANAS_Prä_10, 
    PANAS_Prä_11, PANAS_Prä_13, PANAS_Prä_15, PANAS_Prä_17, PANAS_Prä_18
  /SCALE('PANAS_Prä_posaffekt_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Post-test. 
RELIABILITY
  /VARIABLES=PANAS_Post_1, PANAS_Post_3, PANAS_Post_4, PANAS_Post_6, PANAS_Post_10, 
    PANAS_Post_11, PANAS_Post_13, PANAS_Post_15, PANAS_Post_17, PANAS_Post_18
  /SCALE('PANAS_Post_posaffekt_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* PANAS-NA.
* Pre-test.
RELIABILITY
  /VARIABLES=PANAS_Prä_2, PANAS_Prä_5, PANAS_Prä_7, PANAS_Prä_8, PANAS_Prä_9, 
    PANAS_Prä_12, PANAS_Prä_14, PANAS_Prä_16, PANAS_Prä_19, PANAS_Prä_20
  /SCALE('PANAS_Prä_negaffekt_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Post-test.
RELIABILITY
  /VARIABLES=PANAS_Post_2, PANAS_Post_5, PANAS_Post_7, PANAS_Post_8, PANAS_Post_9, 
    PANAS_Post_12, PANAS_Post_14, PANAS_Post_16, PANAS_Post_19, PANAS_Post_20
  /SCALE('PANAS_Post_negaffekt_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* STAXI.
* State anger.
* Pre-test.
RELIABILITY
  /VARIABLES=STAXI_Prä_1, STAXI_Prä_2, STAXI_Prä_3, STAXI_Prä_4, STAXI_Prä_5, 
    STAXI_Prä_6, STAXI_Prä_7, STAXI_Prä_8, STAXI_Prä_9, STAXI_Prä_10
  /SCALE('STAXI_Prä_stateärg_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Post-test.
RELIABILITY
  /VARIABLES=STAXI_Post_1, STAXI_Post_2, STAXI_Post_3, STAXI_Post_4, STAXI_Post_5, 
    STAXI_Post_6, STAXI_Post_7, STAXI_Post_8, STAXI_Post_9, STAXI_Post_10
  /SCALE('STAXI_Post_stateärg_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Anger in.
* Pre-test. 
RELIABILITY
  /VARIABLES=STAXI_Prä_22, STAXI_Prä_24, STAXI_Prä_25, STAXI_Prä_28, STAXI_Prä_30, 
    STAXI_Prä_33, STAXI_Prä_41, STAXI_Prä_44
  /SCALE('STAXI_Prä_angerin_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Post-test.
RELIABILITY
  /VARIABLES=STAXI_Post_22, STAXI_Post_24, STAXI_Post_25, STAXI_Post_28, STAXI_Post_30, 
    STAXI_Post_33, STAXI_Post_41, STAXI_Post_44
  /SCALE('STAXI_Post_angerin_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Anger out.
* Pre-test.
RELIABILITY
  /VARIABLES=STAXI_Prä_26, STAXI_Prä_27, STAXI_Prä_31, STAXI_Prä_35, 
    STAXI_Prä_37, STAXI_Prä_38, STAXI_Prä_39, STAXI_Prä_43
  /SCALE('STAXI_Prä_angerout_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Post-test.
RELIABILITY
  /VARIABLES=STAXI_Post_26, STAXI_Post_27, STAXI_Post_31, STAXI_Post_35, 
    STAXI_Post_37, STAXI_Post_38, STAXI_Post_39, STAXI_Post_43
  /SCALE('STAXI_Post_angerout_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Anger control.
* Pre-test.
RELIABILITY
  /VARIABLES=STAXI_Prä_21, STAXI_Prä_23, STAXI_Prä_29, STAXI_Prä_32, 
    STAXI_Prä_34, STAXI_Prä_36, STAXI_Prä_40, STAXI_Prä_42
  /SCALE('STAXI_Prä_angercontr_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.

* Post-test.
RELIABILITY
  /VARIABLES=STAXI_Post_21, STAXI_Post_23, STAXI_Post_29, STAXI_Post_32, 
    STAXI_Post_34, STAXI_Post_36, STAXI_Post_40, STAXI_Post_42
  /SCALE('STAXI_Post_angercontr_Alpha') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE CORR
  /SUMMARY=TOTAL.