﻿* Encoding: UTF-8.
* Sample description.

* CLASSIFICATION OF CURRENT SAMPLE ACCORDING TO NORM VALUES (IF AVAILABLE).

* BASELINE VARIABLES & COVARIATES.
* LOT-R - norm values (T values) available.
* Calculate new variable (based on LOT-R total score at pre-test) that indicates T values.
RECODE Prä_LOTR_gesamt (1=20.0) (2=21.2) (3=22.5) (4=23.5) (5=25.9) (6=28.0) (7=29.9) (8=31.7) 
    (9=33.3) (10=35.5) (11=38.3) (12=41.6) (13=44.7) (14=47.4) (15=49.9) (16=52.4) (17=54.8) (18=57.4) 
    (19=59.8) (20=62.2) (21=64.5) (22=67.2) (23=70.0) (24=74.1) INTO T_LOTR_Prä.
VARIABLE LABELS  T_LOTR_Prä 'T-Werte LOTR Prä (ausgehend von Summenwert in LOTR) '.

* Classification of T values in subgroups based on conventions (M = 50; SD = 10).
* < 40: below average,  40-60: average, > 60: above average.
RECODE T_LOTR_Prä (Lowest thru 39=1) (40 thru 60=2) (61 thru Highest=3) INTO T_LOTR_Prä_cat.
VARIABLE LABELS  T_LOTR_Prä_cat 'Kategorien T-Werte LOTR Prä, abhängig von Konventionen'.
EXECUTE.

* Frequency of each subgroup in the Train4Positivity sample.
FREQUENCIES VARIABLES=T_LOTR_Prä_cat
  /ORDER=ANALYSIS.

* Calculate new variable (based on LOT-R total score at post-test) that indicates T values.
RECODE Post_LOTR_gesamt (1=20.0) (2=21.2) (3=22.5) (4=23.5) (5=25.9) (6=28.0) (7=29.9) (8=31.7) 
    (9=33.3) (10=35.5) (11=38.3) (12=41.6) (13=44.7) (14=47.4) (15=49.9) (16=52.4) (17=54.8) (18=57.4) 
    (19=59.8) (20=62.2) (21=64.5) (22=67.2) (23=70.0) (24=74.1) INTO T_LOTR_Post.
VARIABLE LABELS  T_LOTR_Post 'T-Werte LOTR Post (ausgehend von Summenwert in LOTR) '.

* Classification of T values in subgroups based on conventions (M = 50; SD = 10).
* < 40: below average,  40-60: average, > 60: above average.
RECODE T_LOTR_Post (Lowest thru 39=1) (40 thru 60=2) (61 thru Highest=3) INTO T_LOTR_Post_cat.
VARIABLE LABELS  T_LOTR_Post_cat 'Kategorien T-Werte LOTR Post, abhängig von Konventionen'.
EXECUTE.

* Frequency of each subgroup in the Train4Positivity sample.
FREQUENCIES VARIABLES=T_LOTR_Post_cat
  /ORDER=ANALYSIS.

* ASF-E-P - norm values (T values) available.
* Calculate new variable (based on ASF-E-P total score at pre-test) that indicates T values.
RECODE Prä_Attribution_gesamt_pos (160=27) (172=29) (178=31) (183=33) (191=36) (197=38) (199=38) 
    (204=40) (206=41) (208=42) (211=43) (212=43) (214=44) (216=44) (218=45) (219=45) (223=47) (224=47) 
    (225=48) (233=50) (236=51) (238=52) (244=54) (245=55) (248=56) (249=56) (255=58) (256=59) (261=60) 
    (269=63) (271=64) (272=64) (274=65) (275=65) (305=75) INTO T_ASFE_P_Prä.
VARIABLE LABELS  T_ASFE_P_Prä 'T-Werte ASF-E-P Prä'.
EXECUTE.

* Classification of T values in subgroups based on conventions (M = 50; SD = 10).
* < 40: below average,  40-60: average, > 60: above average.
RECODE T_ASFE_P_Prä (Lowest thru 39=1) (40 thru 60=2) (61 thru Highest=3) INTO T_ASFE_P_Prä_cat.
VARIABLE LABELS  T_ASFE_P_Prä_cat 'Kategorien T-Werte ASF-E-P Prä, abhängig von Konventionen'.
EXECUTE.

* Frequency of each subgroup in the Train4Positivity sample.
FREQUENCIES VARIABLES= T_ASFE_P_Prä_cat
  /ORDER=ANALYSIS.

* Calculate new variable (based on ASF-E-P total score at post-test) that indicates T values.
RECODE Post_Attribution_gesamt_pos (134=23) (143=23) (174=30) (175=30) (178=31) (180=32)
 (188=35) (192=36) (199=38) (203=40) (206=41) (207=41) (209=42) (210=42) (213=43) (220=46) (222=47)
(223=47) (224=47) (230=49) (231=50) (235=51) (238=52) (239=53) (241=53) (245=55) (246=55) (248=56)
(260=60) (264=62) (267=62) (280=67) (286=69) (288=70) (293=72) INTO T_ASFE_P_Post.
VARIABLE LABELS  T_ASFE_P_Post 'T-Werte ASF-E-P Post'.
EXECUTE.

* Classification of T values in subgroups based on conventions (M = 50; SD = 10).
* < 40: below average,  40-60: average, > 60: above average.
RECODE T_ASFE_P_Post (Lowest thru 39=1) (40 thru 60=2) (61 thru Highest=3) INTO T_ASFE_P_Post_cat.
VARIABLE LABELS  T_ASFE_P_Post_cat 'Kategorien T-Werte ASF-E-P Post, abhängig von Konventionen'.
EXECUTE.

* Frequency of each subgroup in the Train4Positivity sample.
FREQUENCIES VARIABLES= T_ASFE_P_Post_cat
  /ORDER=ANALYSIS.

* ASF-E-N - norm values (T values) available.
* Calculate new variable (based on ASF-E-N total score at pre-test) that indicates T values.
RECODE Prä_Attribution_gesamt_neg (93=22) (105=26) (122=29) (131=32) (137=34) (145=36) (154=39)
(160=41) (161=42) (163=42) (164=42) (165=43) (167=43) (168=44) (169=44) (170=44) (171=45) (175=46)
(176=46) (185=49) (186=50) (190=51) (194=52) (195=53) (196=53) (199=54) (205=56) (208=57) (213=59)
(215=59) (218=60) (224=62) (226=63) (230=64) (248=70) INTO T_ASFE_N_Prä.
VARIABLE LABELS  T_ASFE_N_Prä 'T-Werte ASF-E-N Prä'.
EXECUTE.

* Classification of T values in subgroups based on conventions (M = 50; SD = 10).
* < 40: below average,  40-60: average, > 60: above average.
RECODE T_ASFE_N_Prä (Lowest thru 39=1) (40 thru 60=2) (61 thru Highest=3) INTO T_ASFE_N_Prä_cat.
VARIABLE LABELS  T_ASFE_N_Prä_cat 'Kategorien T-Werte ASF-E-N Prä, abhängig von Konventionen'.
EXECUTE.

* Frequency of each subgroup in the Train4Positivity sample.
FREQUENCIES VARIABLES= T_ASFE_N_Prä_cat
  /ORDER=ANALYSIS.

* Calculate new variable (based on ASF-E-N total score at post-test) that indicates T values.
RECODE Post_Attribution_gesamt_neg (100=22) (111=26) (114=26) (123=29) (131=32) (135=33) (142=35)
(146=37) (149=38) (153=39) (162=42) (167=43) (169=44) (170=44) (172=45) (173=45) (175=46) (176=46)
(180=48) (181=48) (182=48) (183=49) (185=49) (188=50) (190=51) (194=52) (197=53) (201=55) (206=56)
(214=59) (216=60) (230=64) (241=68) (245=69) (259=74) (289=74) INTO T_ASFE_N_Post.
VARIABLE LABELS  T_ASFE_N_Post 'T-Werte ASF-E-N Post'.
EXECUTE.

* Classification of T values in subgroups based on conventions (M = 50; SD = 10).
* < 40: below average,  40-60: average, > 60: above average.
RECODE T_ASFE_N_Post (Lowest thru 39=1) (40 thru 60=2) (61 thru Highest=3) INTO T_ASFE_N_Post_cat.
VARIABLE LABELS  T_ASFE_N_Post_cat 'Kategorien T-Werte ASF-E-N Post, abhängig von Konventionen'.
EXECUTE.

* Frequency of each subgroup in the Train4Positivity sample.
FREQUENCIES VARIABLES= T_ASFE_N_Post_cat
  /ORDER=ANALYSIS.

* OUTCOME VARIABLES.

* BRS - norm values (Stanine values) available.
* Calculate new variable (based on BRS total score at pre-test) that indicates Stanine values.
RECODE Prä_BRS_gesamt (Lowest thru 1.5=1) (1.6 thru 1.8=2) (1.9 thru 2.5=3) (2.6 thru 3.0=4) (3.1 
    thru 3.7=5) (3.8 thru 4.0=6) (4.1 thru 4.4=7) (4.5 thru 4.7=8) (4.8 thru Highest=9) INTO 
    Stanine_BRS_Prä.
VARIABLE LABELS  Stanine_BRS_Prä 'Stanine-Werte BRS Prä (ausgehend von Mittelwert in BRS)'.
EXECUTE.

* Classification of Stanine values in subgroups based on conventions (M = 5; SD = 2).
* < 3: below average,  3-7: average, > 7: above average.
RECODE Stanine_BRS_Prä (Lowest thru 2=1) (3 thru 7=2) (8 thru Highest=3) INTO Stanine_BRS_Prä_cat.
VARIABLE LABELS  Stanine_BRS_Prä_cat 'Kategorien Stanine-Werte BRS Prä, abhängig von Konventionen'.
EXECUTE.

* Frequency of each subgroup in the Train4Positivity sample.
FREQUENCIES VARIABLES=Stanine_BRS_Prä_cat
  /ORDER=ANALYSIS.

* BRS - norm values (Stanine values) available.
* Calculate new variable (based on BRS total score at post-test) that indicates Stanine values.
RECODE Post_BRS_gesamt (Lowest thru 1.5=1) (1.6 thru 1.8=2) (1.9 thru 2.5=3) (2.6 thru 3.0=4) (3.1 
    thru 3.7=5) (3.8 thru 4.0=6) (4.1 thru 4.4=7) (4.5 thru 4.7=8) (4.8 thru Highest=9) INTO 
    Stanine_BRS_Post.
VARIABLE LABELS  Stanine_BRS_Post 'Stanine-Werte BRS Post (ausgehend von Mittelwert in BRS)'.
EXECUTE.

* Classification of Stanine values in subgroups based on conventions (M = 5; SD = 2).
* < 3: below average,  3-7: average, > 7: above average..
RECODE Stanine_BRS_Post (Lowest thru 2=1) (3 thru 7=2) (8 thru Highest=3) INTO Stanine_BRS_Post_cat.
VARIABLE LABELS  Stanine_BRS_Post_cat 'Kategorien Stanine-Werte BRS Post, abhängig von Konventionen'.
EXECUTE.

* Frequency of each subgroup in the Train4Positivity sample.
FREQUENCIES VARIABLES=Stanine_BRS_Post_cat
  /ORDER=ANALYSIS.

* STAXI - norm values (Stanine values) available for anger in, anger out, anger control.
* Anger in.
* Create new variable (created manually in the dataset since Stanine values for STAXI (student sample) were published separately for men and women). 
* --> Stanine_angerin_Prä.

* Classification of Stanine values in subgroups based on conventions (M = 5; SD = 2).
* < 3: below average,  3-7: average, > 7: above average.
RECODE Stanine_angerin_Prä (Lowest thru 2=1) (3 thru 7=2) (8 thru Highest=3) INTO Stanine_angerin_Prä_cat.
VARIABLE LABELS  Stanine_angerin_Prä_cat 'Kategorien Stanine-Werte anger in Prä, abhängig von Konventionen'.
EXECUTE.

* Frequency of each subgroup in the Train4Positivity sample.
FREQUENCIES VARIABLES=Stanine_angerin_Prä_cat
  /ORDER=ANALYSIS.

* Create new variable (created manually in the dataset since Stanine values for STAXI (student sample) were published separately for men and women). 
* --> Stanine_angerin_Post.

* Classification of Stanine values in subgroups based on conventions (M = 5; SD = 2).
* < 3: below average,  3-7: average, > 7: above average.
RECODE Stanine_angerin_Post (Lowest thru 2=1) (3 thru 7=2) (8 thru Highest=3) INTO Stanine_angerin_Post_cat.
VARIABLE LABELS  Stanine_angerin_Post_cat 'Kategorien Stanine-Werte anger in Post, abhängig von Konventionen'.
EXECUTE.

* Frequency of each subgroup in the Train4Positivity sample.
FREQUENCIES VARIABLES=Stanine_angerin_Post_cat
  /ORDER=ANALYSIS.

* Anger out.
* Create new variable (created manually in the dataset since Stanine values for STAXI (student sample) were published separately for men and women). 
* --> Stanine_angerout_Prä.

* Classification of Stanine values in subgroups based on conventions (M = 5; SD = 2).
* < 3: below average,  3-7: average, > 7: above average.
RECODE Stanine_angerout_Prä (Lowest thru 2=1) (3 thru 7=2) (8 thru Highest=3) INTO Stanine_angerout_Prä_cat.
VARIABLE LABELS  Stanine_angerout_Prä_cat 'Kategorien Stanine-Werte anger out Prä, abhängig von Konventionen'.
EXECUTE.

* Frequency of each subgroup in the Train4Positivity sample.
FREQUENCIES VARIABLES=Stanine_angerout_Prä_cat
  /ORDER=ANALYSIS.

* Create new variable (created manually in the dataset since Stanine values for STAXI (student sample) were published separately for men and women). 
* --> Stanine_angerout_Post.

* Classification of Stanine values in subgroups based on conventions (M = 5; SD = 2).
* < 3: below average,  3-7: average, > 7: above average.
RECODE Stanine_angerout_Post (Lowest thru 2=1) (3 thru 7=2) (8 thru Highest=3) INTO Stanine_angerout_Post_cat.
VARIABLE LABELS  Stanine_angerout_Post_cat 'Kategorien Stanine-Werte anger out Post, abhängig von Konventionen'.
EXECUTE.

* Frequency of each subgroup in the Train4Positivity sample.
FREQUENCIES VARIABLES=Stanine_angerout_Post_cat
  /ORDER=ANALYSIS.

* Anger control.
* Create new variable (created manually in the dataset since Stanine values for STAXI (student sample) were published separately for men and women). 
* --> Stanine_angercontrol_Prä.

* Classification of Stanine values in subgroups based on conventions (M = 5; SD = 2).
* < 3: below average,  3-7: average, > 7: above average.
RECODE Stanine_angercontrol_Prä (Lowest thru 2=1) (3 thru 7=2) (8 thru Highest=3) INTO Stanine_angercontrol_Prä_cat.
VARIABLE LABELS  Stanine_angercontrol_Prä_cat 'Kategorien Stanine-Werte anger  control Prä, abhängig von Konventionen'.
EXECUTE.

* Frequency of each subgroup in the Train4Positivity sample.
FREQUENCIES VARIABLES=Stanine_angercontrol_Prä_cat
  /ORDER=ANALYSIS.

* Create new variable (created manually in the dataset since Stanine values for STAXI (student sample) were published separately for men and women). 
* --> Stanine_angercontrol_Post.

* Classification of Stanine values in subgroups based on conventions (M = 5; SD = 2).
* < 3: below average,  3-7: average, > 7: above average.
RECODE Stanine_angercontrol_Post (Lowest thru 2=1) (3 thru 7=2) (8 thru Highest=3) INTO Stanine_angercontrol_Post_cat.
VARIABLE LABELS  Stanine_angercontrol_Post_cat 'Kategorien Stanine-Werte anger  control Post, abhängig von Konventionen'.
EXECUTE.

* Frequency of each subgroup in the Train4Positivity sample.
FREQUENCIES VARIABLES=Stanine_angercontrol_Post_cat
  /ORDER=ANALYSIS.

* PSS-10 (percentiles). 
* Output of percentiles to compare them with percentiles from Klein et al. (2016).
FREQUENCIES VARIABLES=Prä_PSS_ph Prä_PSS_pse Post_PSS_ph Post_PSS_pse
  /PERCENTILES=5.0 25.0 50.0 75.0 95.0 
  /ORDER=ANALYSIS.

* WHO-5 (percentile ranks). 
* Calculate new variable (based on WHO-5 raw score at pre-test, range: 0-25) that indicates percentile ranks.
RECODE Prä_WHO5_gesamt (0=0) (1=0) (2=0) (3=0) (4=1) (5=2) (6=3) (7=5) (8=6) (9=7) (10=8) (11=10) 
    (12=13) (13=15) (14=17) (15=22) (16=26) (17=33) (18=38) (19=47) (20=70) (21=78) (22=83) (23=88) 
    (24=91) (25=100) INTO PR_WHO5_Prä.
VARIABLE LABELS  PR_WHO5_Prä 'Prozentrang_WHO5 Prä'.
EXECUTE.

* Frequency of each percentile.
FREQUENCIES VARIABLES=PR_WHO5_Prä
  /STATISTICS=MINIMUM MAXIMUM
  /ORDER=ANALYSIS.

* New variable for percentile ranks PR-WHO5 at pre-test is divided into subgroups for simplified presentation (PR <=10, >10 und <=50, >50).
RECODE PR_WHO5_Prä (Lowest thru 10=1) (11 thru 50=2) (51 thru Highest=3) INTO PR_WHO5_Prä_cat.
VARIABLE LABELS  PR_WHO5_Prä_cat '3 Kategorien Prozentrang WHO5_Prä'.
EXECUTE.

* Frequency of each category of percentile ranks.
FREQUENCIES VARIABLES=PR_WHO5_Prä_cat
  /ORDER=ANALYSIS.

* Calculate new variable (based on WHO-5 raw score at post-test, range: 0-25) that indicates percentile ranks.
RECODE Post_WHO5_gesamt (0=0) (1=0) (2=0) (3=0) (4=1) (5=2) (6=3) (7=5) (8=6) (9=7) (10=8) (11=10) 
    (12=13) (13=15) (14=17) (15=22) (16=26) (17=33) (18=38) (19=47) (20=70) (21=78) (22=83) (23=88) 
    (24=91) (25=100) INTO PR_WHO5_Post.
VARIABLE LABELS  PR_WHO5_Post 'Prozentrang_WHO5 Post'.
EXECUTE.

* Frequency of each percentile.
FREQUENCIES VARIABLES=PR_WHO5_Post
  /STATISTICS=MINIMUM MAXIMUM
  /ORDER=ANALYSIS.

* New variable for percentile ranks PR-WHO5 at post-test is divided into subgroups for simplified presentation (PR <=10, >10 und <=50, >50).
RECODE PR_WHO5_Post (Lowest thru 10=1) (11 thru 50=2) (51 thru Highest=3) INTO PR_WHO5_Post_cat.
VARIABLE LABELS  PR_WHO5_Post_cat '3 Kategorien Prozentrang WHO5_Post'.
EXECUTE.

* Frequency of each category of percentile ranks.
FREQUENCIES VARIABLES=PR_WHO5_Post_cat
  /ORDER=ANALYSIS.

* PREPARATION OF INDEPENDENT T-TESTS (e.g. means and SDs in subgroups like men and women, in order to compare them with values from 
other German (representative) samples.

* PSS-10.
* Descriptive statistics also for 2 factors of PSS-10 (perceived helplessness, perceived self-efficacy).
DESCRIPTIVES VARIABLES=Prä_PSS_ph Prä_PSS_pse Post_PSS_ph Post_PSS_pse
  /STATISTICS=MEAN STDDEV MIN MAX.

* ERQ.
* Means and SDs for men and women to compare them with Abler & Kessler (2009).
SORT CASES  BY Geschlecht.
SPLIT FILE SEPARATE BY Geschlecht.

FREQUENCIES VARIABLES=Prä_ERQ_gesamt Post_ERQ_gesamt
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /HISTOGRAM NORMAL
  /ORDER=ANALYSIS.

* STAXI - state anger. 
FREQUENCIES VARIABLES=Prä_STAXI_stateärg Post_STAXI_stateärg
  /STATISTICS=STDDEV MINIMUM MAXIMUM MEAN
  /HISTOGRAM NORMAL
  /ORDER=ANALYSIS.

* INDEPENDENT T-TESTS (unequal variances, i.e. 2 independent samples assumed to be drawn from populations with unequal variances).
* Comparison of means of Train4Positivity with other German (representative) samples. 
* Use of separate datasets with x1, sd1, n1, x2, sd2, n2 (see separate folder: "Independent t-tests_datasets").
* Use of following syntax --> t, df and p value are automatically supplemented in the dataset (variable view). 
COMPUTE t = (x1-x2)/sqrt(((sd1**2)/n1) + ((sd2**2)/n2)).
COMPUTE df = (((((sd1**2)/n1)+((sd2**2)/n2))**2)/(((1/(n1-1))*(((sd1**2)/n1)**2))+((1/(n2-1))*(((sd2**2)/n2)**2)))).
COMPUTE sig = 2*(1-(CDF.T(abs(t),df))).
Variable labels sig 'Significance (2-tailed)'.
EXECUTE.





