*** MISSING VALUES ANALYSIS FOR CURRENT MOOD VARIABLES ***

*** Opening dataset 3 ('Breezly' current mood data)in Stata
use "/Users/angelakunzler/RQ4_current mood_valence/D_RQ4a_dataset3_current mood_FINAL.dta"

*** NUMBER & PATTERN OF MISSING DATA***
describe
rename Mzp time
sort time
by time: summarize Total_valence
by time: summarize Total_energetic_arousal
by time: summarize Total_calmness
sum Total_valence Total_energetic_arousal Total_calmness

// nmissing
help nmissing
nmissing
misstable summarize Total_valence Total_energetic_arousal Total_calmness
misstable patterns Total_valence Total_energetic_arousal Total_calmness
misstable tree Total_valence Total_energetic_arousal Total_calmness
//--> 38% missing data in EMA-measured CURRENT MOOD outcomes of 'Breezly'
// Independent variable/time seems to have influence on missingness in three outcomes

* Checking of MCAR assumption
// Little's MCAR test not possible due to insufficient degrees of freedom for chi2 test
// Comparison of time distribution between participants with observed vs missing values in the outcomes
* Valence
generate r = 1 if Total_valence!=.
replace r = 0 if missing(Total_valence)
tab time r, chi2 row
// --> p<.001 in chi2 test: i.e. missingness is associated with time 
* Pro forma also conducted for Total_energetic_arousal and Total_calmness as missing data are equally distributed
generate r_2 = 1 if Total_energetic_arousal!=.
replace r_2 = 0 if missing(Total_energetic_arousal)
tab time r_2, chi2 row
generate r_3 = 1 if Total_calmness!=.
replace r_3 = 0 if missing(Total_calmness)
tab time r_3, chi2 row
// --> MCAR assumption is NOT fulfilled

* Alternative way of checking MCAR
generate miss_y1 = 1 if missing(Total_valence)
replace miss_y1 = 0 if Total_valence!=.
generate miss_y2 = 1 if missing(Total_energetic_arousal)
replace miss_y2 = 0 if Total_energetic_arousal!=.
generate miss_y3 = 1 if missing(Total_calmness)
replace miss_y3 = 0 if Total_calmness!=.
// Does any of the other variables predict whether a given variable is missing?
// If yes, then data is MAR rather than MCAR
misstable sum, gen (miss_)
logit miss_y1 time
logit miss_y2 time
logit miss_y3 time
// --> MCAR assumption is NOT fulfilled; time predicts if Y1, Y2 or Y3 are present

* MAR: Not testable based on observed data
// Do participants with missing data within the categories of time (i.e. at different time points) have
// higher/lower outcome values than those with observed values?
// Due to feasibility study, MAR is assumed instead of MNAR and Multiple Imputation is performed

