
*** MISSING VALUES ANALYSIS FOR END-OF-DAY MEASURES ***

*** Opening dataset 3 ('Breezly' end-of-day data)in Stata
use "/Users/angelakunzler/D_RQ4b_dataset3_end-of-day_FINAL.dta"

*** NUMBER & PATTERN OF MISSING DATA***
describe
sort time
by time: summarize Affected_positive
by time: summarize Distance_negative
by time: summarize Wellbeing
sum Affected_positive Distance_negative Wellbeing

// nmissing
help nmissing
nmissing
misstable summarize Affected_positive Distance_negative Wellbeing
misstable patterns Affected_positive Distance_negative Wellbeing
misstable tree Affected_positive Distance_negative Wellbeing
//--> 47% missing data in EMA-measured END OF DAY outcomes of 'Breezly'
// Independent variable/time seems to have influence on missingness in three outcomes

* Checking of MCAR assumption
// Little's MCAR test not possible due to insufficient degrees of freedom for chi2 test
// Comparison of time distribution between participants with observed vs missing values in the outcomes
* Ability_get_affected_positive
generate r = 1 if Affected_positive!=.
replace r = 0 if missing(Affected_positive)
tab time r, chi2 row
// --> p<.001 in chi2 test: i.e. missingness is associated with time 
* Pro forma also conducted for Ability_distance_negative and Wellbeing as missing data are equally distributed
generate r_2 = 1 if Wellbeing!=.
replace r_2 = 0 if missing(Wellbeing)
tab time r_2, chi2 row
generate r_3 = 1 if Distance_negative!=.
replace r_3 = 0 if missing(Distance_negative)
tab time r_3, chi2 row
// --> MCAR assumption is NOT fulfilled

* Alternative way of checking MCAR
generate miss_y1 = 1 if missing(Affected_positive)
replace miss_y1 = 0 if Affected_positive!=.
generate miss_y2 = 1 if missing(Distance_negative)
replace miss_y2 = 0 if Distance_negative!=.
generate miss_y3 = 1 if missing(Wellbeing)
replace miss_y3 = 0 if Wellbeing!=.
// Does any of the other variables predict whether a given variable is missing?
// If yes, then data is MAR rather than MCAR
misstable sum, gen (miss_)
logit miss_y1 time
logit miss_y2 time
logit miss_y3 time
// --> MCAR assumption is NOT fulfilled; time predicts if Y1, Y2 or Y3 are present

* MAR: Not testable based on observed data
// Do participants with missing data within the categories of time (i.e. at different time points) have
// higher/lower outcome values than those with observed values?
// Due to feasibility study, MAR is assumed instead of MNAR and Multiple Imputation is performed
