﻿* Encoding: UTF-8.
* Integration of stressor monitoring (MIMIS only survey) after 3 weeks in LifeStress in SPSS dataset that includes the demographic and psychological variables. 

* Recoding of original weekly variable (string variables to numerical variables --> instead of "n.a." --> only ".").
RECODE dh1_freq ('n.a.'='.').
EXECUTE.

RECODE dh1_bel ('n.a'='.').
EXECUTE.

* The same is performed for all other frequency and severity variables of the MIMIS at 3 weeks.
* All frequencies/number of days.
RECODE dh2_freq dh3_freq dh4_freq dh5_freq dh6_freq dh7_freq dh8_freq dh9_freq dh10_freq dh11_freq dh12_freq dh13_freq dh14_freq dh15_freq dh16_freq dh17_freq dh18_freq
dh19_freq dh20_freq dh21_freq dh22_freq dh23_freq dh24_freq dh25_freq dh26_freq dh27_freq dh28_freq dh29_freq dh30_freq dh31_freq dh32_freq dh33_freq dh34_freq 
dh35_freq dh36_freq dh37_freq dh38_freq dh39_freq dh40_freq dh41_freq dh42_freq dh43_freq dh44_freq dh45_freq dh46_freq dh47_freq dh48_freq dh49_freq dh50_freq
dh51_freq dh52_freq dh53_freq dh54_freq dh55_freq dh56_freq dh57_freq dh58_freq ('n.a.'='.').
EXECUTE.

* All severity variables.
RECODE dh2_bel dh3_bel dh4_bel dh5_bel dh6_bel dh7_bel dh8_bel dh9_bel dh10_bel dh11_bel dh12_bel dh13_bel dh14_bel dh15_bel dh16_bel dh17_bel dh18_bel
dh19_bel dh20_bel dh21_bel dh22_bel dh23_bel dh24_bel dh25_bel dh26_bel dh27_bel dh28_bel dh29_bel dh30_bel dh31_bel dh32_bel dh33_bel dh34_bel 
dh35_bel dh36_bel dh37_bel dh38_bel dh39_bel dh40_bel dh41_bel dh42_bel dh43_bel dh44_bel dh45_bel dh46_bel dh47_bel dh48_bel dh49_bel dh50_bel
dh51_bel dh52_bel dh53_bel dh54_bel dh55_bel dh56_bel dh57_bel dh58_bel ('n.a'='.').
EXECUTE.

* Recoding of dh_offen (i.e. item for additional stressors) --> coded with no-0 and yes-1 (not relevant for analysis).
RECODE DH_Post3W_59_weitereHassels ('nein'='0') ('ja'='1').
EXECUTE.

* Testing of previous coding of perceived severity in MIMIS at 3 weeks.
DESCRIPTIVES VARIABLES=DH_Post3W_1_Belastung DH_Post3W_2_Belastung DH_Post3W_3_Belastung 
    DH_Post3W_4_Belastung DH_Post3W_5_Belastung DH_Post3W_6_Belastung DH_Post3W_7_Belastung 
    DH_Post3W_8_Belastung DH_Post3W_9_Belastung DH_Post3W_10_Belastung DH_Post3W_11_Belastung 
    DH_Post3W_12_Belastung DH_Post3W_13_Belastung DH_Post3W_14_Belastung DH_Post3W_15_Belastung 
    DH_Post3W_16_Belastung DH_Post3W_17_Belastung DH_Post3W_18_Belastung DH_Post3W_19_Belastung 
    DH_Post3W_20_Belastung DH_Post3W_21_Belastung DH_Post3W_22_Belastung DH_Post3W_23_Belastung 
    DH_Post3W_24_Belastung DH_Post3W_25_Belastung DH_Post3W_26_Belastung DH_Post3W_27_Belastung 
    DH_Post3W_28_Belastung DH_Post3W_29_Belastung DH_Post3W_30_Belastung DH_Post3W_31_Belastung 
    DH_Post3W_32_Belastung DH_Post3W_33_Belastung DH_Post3W_34_Belastung DH_Post3W_35_Belastung 
    DH_Post3W_36_Belastung DH_Post3W_37_Belastung DH_Post3W_38_Belastung DH_Post3W_39_Belastung 
    DH_Post3W_40_Belastung DH_Post3W_41_Belastung DH_Post3W_42_Belastung DH_Post3W_43_Belastung 
    DH_Post3W_44_Belastung DH_Post3W_45_Belastung DH_Post3W_46_Belastung DH_Post3W_47_Belastung 
    DH_Post3W_48_Belastung DH_Post3W_49_Belastung DH_Post3W_50_Belastung DH_Post3W_51_Belastung 
    DH_Post3W_52_Belastung DH_Post3W_53_Belastung DH_Post3W_54_Belastung DH_Post3W_55_Belastung 
    DH_Post3W_56_Belastung DH_Post3W_57_Belastung DH_Post3W_58_Belastung DH_Post3W_60a_Belastung 
    DH_Post3W_60b_Belastung DH_Post3W_60c_Belastung DH_Post3W_60d_Belastung
  /STATISTICS=MIN MAX.

* As perceived severity is coded with 1-5 in LifeStress --> Recoding in the same variables in order to 
code severity from 0-not severe at all to 4-very severe (compare MIMIS severity data at pre-test for which this was already considered)
* --> consistent with Train4Positivity dataset).
RECODE DH_Post3W_1_Belastung DH_Post3W_2_Belastung DH_Post3W_3_Belastung DH_Post3W_4_Belastung 
    DH_Post3W_5_Belastung DH_Post3W_6_Belastung DH_Post3W_7_Belastung DH_Post3W_8_Belastung 
    DH_Post3W_9_Belastung DH_Post3W_10_Belastung DH_Post3W_11_Belastung DH_Post3W_12_Belastung 
    DH_Post3W_13_Belastung DH_Post3W_14_Belastung DH_Post3W_15_Belastung DH_Post3W_16_Belastung 
    DH_Post3W_17_Belastung DH_Post3W_18_Belastung DH_Post3W_19_Belastung DH_Post3W_20_Belastung 
    DH_Post3W_21_Belastung DH_Post3W_22_Belastung DH_Post3W_23_Belastung DH_Post3W_24_Belastung 
    DH_Post3W_25_Belastung DH_Post3W_26_Belastung DH_Post3W_27_Belastung DH_Post3W_28_Belastung 
    DH_Post3W_29_Belastung DH_Post3W_30_Belastung DH_Post3W_31_Belastung DH_Post3W_32_Belastung 
    DH_Post3W_33_Belastung DH_Post3W_34_Belastung DH_Post3W_35_Belastung DH_Post3W_36_Belastung 
    DH_Post3W_37_Belastung DH_Post3W_38_Belastung DH_Post3W_39_Belastung DH_Post3W_40_Belastung 
    DH_Post3W_41_Belastung DH_Post3W_42_Belastung DH_Post3W_43_Belastung DH_Post3W_44_Belastung 
    DH_Post3W_45_Belastung DH_Post3W_46_Belastung DH_Post3W_47_Belastung DH_Post3W_48_Belastung 
    DH_Post3W_49_Belastung DH_Post3W_50_Belastung DH_Post3W_51_Belastung DH_Post3W_52_Belastung 
    DH_Post3W_53_Belastung DH_Post3W_54_Belastung DH_Post3W_55_Belastung DH_Post3W_56_Belastung 
    DH_Post3W_57_Belastung DH_Post3W_58_Belastung DH_Post3W_60a_Belastung DH_Post3W_60b_Belastung 
    DH_Post3W_60c_Belastung DH_Post3W_60d_Belastung (1=0) (2=1) (3=2) (4=3) (5=4).
EXECUTE.





