﻿* Encoding: UTF-8.
* Further preparation of combined dataset.
* Recoding of items and calculation of total scores (sum/mean scores) for GHQ-28, sum microstressors at pre-test
sum macrostressors at pre-test, perceived severity of microstressors at post-test (outcome variable).

* POTENTIAL COVARIATES AT PRE-TEST.
* Brief Resilience Scale (BRS) - mean score.
* a. Recoding of negatively phrased items 2, 4, 6.
RECODE BRS_Prä_2 (1=5) (2=4) (3=3) (4=2) (5=1) INTO BRS_Prä_2_inv.
EXECUTE.

RECODE BRS_Prä_4 (1=5) (2=4) (3=3) (4=2) (5=1) INTO BRS_Prä_4_inv.
EXECUTE.

RECODE BRS_Prä_6 (1=5) (2=4) (3=3) (4=2) (5=1) INTO BRS_Prä_6_inv.
EXECUTE.

* b. Calculation of mean score of 6 items.
COMPUTE Prä_BRS_gesamt=MEAN(BRS_Prä_1, BRS_Prä_2_inv, BRS_Prä_3, BRS_Prä_4_inv, BRS_Prä_5, BRS_Prä_6_inv).
EXECUTE.

* Cognitive Emotion Regulation Questionnaire (CERQ) - subscales - sum scores.
* Positive reappraisal (items 6, 15, 24).
COMPUTE Prä_CERQ_posneu=SUM(CERQ_Prä_6, CERQ_Prä_15, CERQ_Prä_24).
EXECUTE.
* Self-blame (items 1, 10, 19). 
COMPUTE Prä_CERQ_selbstbe=SUM(CERQ_Prä_1, CERQ_Prä_10, CERQ_Prä_19).
EXECUTE.
* Acceptance (items 2, 11, 20).
COMPUTE Prä_CERQ_akzep=SUM(CERQ_Prä_2, CERQ_Prä_11, CERQ_Prä_20).
EXECUTE.
* Rumination (items 3, 12, 21).
COMPUTE Prä_CERQ_rumin=SUM(CERQ_Prä_3, CERQ_Prä_12, CERQ_Prä_21).
EXECUTE.
* Positive refocusing (items 4, 13, 22).
COMPUTE Prä_CERQ_posrefo=SUM(CERQ_Prä_4, CERQ_Prä_13, CERQ_Prä_22).
EXECUTE.
* Refocus on planning (items 5, 14, 23).
COMPUTE Prä_CERQ_refoplan=SUM(CERQ_Prä_5, CERQ_Prä_14, CERQ_Prä_23).
EXECUTE.
* Putting into perspective (items 7, 16, 25).
COMPUTE Prä_CERQ_relativ=SUM(CERQ_Prä_7, CERQ_Prä_16, CERQ_Prä_25).
EXECUTE.
* Catastrophizing (items 8, 17, 26).
COMPUTE Prä_CERQ_katastro=SUM(CERQ_Prä_8, CERQ_Prä_17, CERQ_Prä_26).
EXECUTE.
* Blaming others (items 9, 18, 27).
COMPUTE Prä_CERQ_andbesch=SUM(CERQ_Prä_9, CERQ_Prä_18, CERQ_Prä_27).
EXECUTE.

* General Health Questionnaire (GHQ-28) - sum score.
* 4 subscales.
* Somatic symptoms (items A1, A2, A3, A4, A5, A6, A7).
COMPUTE Prä_GHQ28_körpsymp=SUM(GHQ_Prä_1, GHQ_Prä_2, GHQ_Prä_3, GHQ_Prä_4, 
    GHQ_Prä_5, GHQ_Prä_6, GHQ_Prä_7).
EXECUTE.

* Anxiety & insomnia (items B1, B2, B3, B4, B5, B6, B7). 
COMPUTE Prä_GHQ28_angstschlaf=SUM(GHQ_Prä_8, GHQ_Prä_9, GHQ_Prä_10, GHQ_Prä_11, 
    GHQ_Prä_12, GHQ_Prä_13, GHQ_Prä_14).
EXECUTE.

* Social functioning (items C1, C2, C3, C4, C5, C6, C7)..
COMPUTE Prä_GHQ28_sozfunk=SUM(GHQ_Prä_15, GHQ_Prä_16, GHQ_Prä_17, GHQ_Prä_18, 
    GHQ_Prä_19, GHQ_Prä_20, GHQ_Prä_21).
EXECUTE.

* Depression (items D1, D2, D3, D4, D5, D6, D7).
COMPUTE Prä_GHQ28_depress=SUM(GHQ_Prä_22, GHQ_Prä_23, GHQ_Prä_24, GHQ_Prä_25, 
    GHQ_Prä_26, GHQ_Prä_27, GHQ_Prä_28).
EXECUTE.

* Total score of all items.
COMPUTE Prä_GHQ28_gesamt=SUM(GHQ_Prä_1, GHQ_Prä_2, GHQ_Prä_3, GHQ_Prä_4, 
    GHQ_Prä_5, GHQ_Prä_6, GHQ_Prä_7, GHQ_Prä_8, GHQ_Prä_9, GHQ_Prä_10, GHQ_Prä_11, 
    GHQ_Prä_12, GHQ_Prä_13, GHQ_Prä_14, GHQ_Prä_15, GHQ_Prä_16, GHQ_Prä_17, GHQ_Prä_18, 
    GHQ_Prä_19, GHQ_Prä_20, GHQ_Prä_21, GHQ_Prä_22, GHQ_Prä_23, GHQ_Prä_24, GHQ_Prä_25, 
    GHQ_Prä_26, GHQ_Prä_27, GHQ_Prä_28).
EXECUTE.

* WHO - sum score.
* Index raw score = sum of 5 item values (0-25).
COMPUTE Prä_WHO5_gesamt=SUM(WHO_Prä_1, WHO_Prä_2, WHO_Prä_3, WHO_Prä_4, WHO_Prä_5).
EXECUTE.

* Transformation (0-100 instead of 0-25). 
COMPUTE Prä_WHO5_gesamt_transf=4 * Prä_WHO5_gesamt.
EXECUTE.

* Sum of microstressors (MIMIS) - sum score.
COMPUTE Prä_DH_Häufigkeit=SUM(DH_Prä_1_Tage, DH_Prä_2_Tage, DH_Prä_3_Tage,
    DH_Prä_4_Tage, DH_Prä_5_Tage, DH_Prä_6_Tage, DH_Prä_7_Tage, DH_Prä_8_Tage,
    DH_Prä_9_Tage, DH_Prä_10_Tage, DH_Prä_11_Tage, DH_Prä_12_Tage, DH_Prä_13_Tage,
    DH_Prä_14_Tage, DH_Prä_15_Tage, DH_Prä_16_Tage, DH_Prä_17_Tage, DH_Prä_18_Tage,
    DH_Prä_19_Tage, DH_Prä_20_Tage, DH_Prä_21_Tage, DH_Prä_22_Tage, DH_Prä_23_Tage,
    DH_Prä_24_Tage, DH_Prä_25_Tage, DH_Prä_26_Tage, DH_Prä_27_Tage, DH_Prä_28_Tage,
    DH_Prä_29_Tage, DH_Prä_30_Tage, DH_Prä_31_Tage, DH_Prä_32_Tage, DH_Prä_33_Tage,
    DH_Prä_34_Tage, DH_Prä_35_Tage, DH_Prä_36_Tage, DH_Prä_37_Tage, DH_Prä_38_Tage,
    DH_Prä_39_Tage, DH_Prä_40_Tage, DH_Prä_41_Tage, DH_Prä_42_Tage, DH_Prä_43_Tage,
    DH_Prä_44_Tage, DH_Prä_45_Tage, DH_Prä_46_Tage, DH_Prä_47_Tage, DH_Prä_48_Tage,
    DH_Prä_49_Tage, DH_Prä_50_Tage, DH_Prä_51_Tage, DH_Prä_52_Tage, DH_Prä_53_Tage,
    DH_Prä_54_Tage, DH_Prä_55_Tage, DH_Prä_56_Tage, DH_Prä_57_Tage, DH_Prä_58_Tage).
EXECUTE.

* Sum of macrostressors (LE Checklist) - sum score.
COMPUTE Prä_LE_Häufigkeit=SUM(LifeEvent1_Prä_Häufigkeit, LifeEvent2_Prä_Häufigkeit,
    LifeEvent3_Prä_Häufigkeit, LifeEvent4_Prä_Häufigkeit, LifeEvent5_Prä_Häufigkeit,
    LifeEvent6_Prä_Häufigkeit, LifeEvent7_Prä_Häufigkeit, LifeEvent8_Prä_Häufigkeit,
    LifeEvent9_Prä_Häufigkeit, LifeEvent10_Prä_Häufigkeit, LifeEvent11_Prä_Häufigkeit,
    LifeEvent12_Prä_Häufigkeit, LifeEvent13_Prä_Häufigkeit, LifeEvent14_Prä_Häufigkeit,
    LifeEvent15_Prä_Häufigkeit, LifeEvent16_Prä_Häufigkeit, LifeEvent17_Prä_Häufigkeit,
    LifeEvent18_Prä_Häufigkeit, LifeEvent19_Prä_Häufigkeit, LifeEvent20_Prä_Häufigkeit,
    LifeEvent21_Prä_Häufigkeit, LifeEvent22_Prä_Häufigkeit, LifeEvent23_Prä_Häufigkeit,
    LifeEvent24_Prä_Häufigkeit, LifeEvent25_Prä_Häufigkeit, LifeEvent26_Prä_Häufigkeit,
    LifeEvent27_Prä_Häufigkeit).
EXECUTE.

* Perceived microstressor severity at pre-test - sum score (only 58 fixed stressors; compare procedures in LifeStress).
COMPUTE Prä_StressorbelastungDH_Summe=SUM(DH_Prä_1_Belastung, DH_Prä_2_Belastung, 
    DH_Prä_3_Belastung, DH_Prä_4_Belastung, DH_Prä_5_Belastung, DH_Prä_6_Belastung, DH_Prä_7_Belastung, 
    DH_Prä_8_Belastung, DH_Prä_9_Belastung, DH_Prä_10_Belastung, DH_Prä_11_Belastung, 
    DH_Prä_12_Belastung, DH_Prä_13_Belastung, DH_Prä_14_Belastung, DH_Prä_15_Belastung, 
    DH_Prä_16_Belastung, DH_Prä_17_Belastung, DH_Prä_18_Belastung, DH_Prä_19_Belastung, 
    DH_Prä_20_Belastung, DH_Prä_21_Belastung, DH_Prä_22_Belastung, DH_Prä_23_Belastung, 
    DH_Prä_24_Belastung, DH_Prä_25_Belastung, DH_Prä_26_Belastung, DH_Prä_27_Belastung, 
    DH_Prä_28_Belastung, DH_Prä_29_Belastung, DH_Prä_30_Belastung, DH_Prä_31_Belastung, 
    DH_Prä_32_Belastung, DH_Prä_33_Belastung, DH_Prä_34_Belastung, DH_Prä_35_Belastung, 
    DH_Prä_36_Belastung, DH_Prä_37_Belastung, DH_Prä_38_Belastung, DH_Prä_39_Belastung, 
    DH_Prä_40_Belastung, DH_Prä_41_Belastung, DH_Prä_42_Belastung, DH_Prä_43_Belastung, 
    DH_Prä_44_Belastung, DH_Prä_45_Belastung, DH_Prä_46_Belastung, DH_Prä_47_Belastung, 
    DH_Prä_48_Belastung, DH_Prä_49_Belastung, DH_Prä_50_Belastung, DH_Prä_51_Belastung, 
    DH_Prä_52_Belastung, DH_Prä_53_Belastung, DH_Prä_54_Belastung, DH_Prä_55_Belastung, 
    DH_Prä_56_Belastung, DH_Prä_57_Belastung, DH_Prä_58_Belastung).
EXECUTE.

***************************************************************************************************************************************
* OUTCOME VARIABLE: PERCEIVED MICROSTRESSOR SEVERITY AT POST-TEST.
COMPUTE StressorbelastungDH_Post3W_Summe=SUM(DH_Post3W_1_Belastung, DH_Post3W_2_Belastung, 
    DH_Post3W_3_Belastung, DH_Post3W_4_Belastung, DH_Post3W_5_Belastung, DH_Post3W_6_Belastung, 
    DH_Post3W_7_Belastung, DH_Post3W_8_Belastung, DH_Post3W_9_Belastung, DH_Post3W_10_Belastung, 
    DH_Post3W_11_Belastung, DH_Post3W_12_Belastung, DH_Post3W_13_Belastung, DH_Post3W_14_Belastung, 
    DH_Post3W_15_Belastung, DH_Post3W_16_Belastung, DH_Post3W_17_Belastung, DH_Post3W_18_Belastung, 
    DH_Post3W_19_Belastung, DH_Post3W_20_Belastung, DH_Post3W_21_Belastung, DH_Post3W_22_Belastung, 
    DH_Post3W_23_Belastung, DH_Post3W_24_Belastung, DH_Post3W_25_Belastung, DH_Post3W_26_Belastung, 
    DH_Post3W_27_Belastung, DH_Post3W_28_Belastung, DH_Post3W_29_Belastung, DH_Post3W_30_Belastung, 
    DH_Post3W_31_Belastung, DH_Post3W_32_Belastung, DH_Post3W_33_Belastung, DH_Post3W_34_Belastung, 
    DH_Post3W_35_Belastung, DH_Post3W_36_Belastung, DH_Post3W_37_Belastung, DH_Post3W_38_Belastung, 
    DH_Post3W_39_Belastung, DH_Post3W_40_Belastung, DH_Post3W_41_Belastung, DH_Post3W_42_Belastung, 
    DH_Post3W_43_Belastung, DH_Post3W_44_Belastung, DH_Post3W_45_Belastung, DH_Post3W_46_Belastung, 
    DH_Post3W_47_Belastung, DH_Post3W_48_Belastung, DH_Post3W_49_Belastung, DH_Post3W_50_Belastung, 
    DH_Post3W_51_Belastung, DH_Post3W_52_Belastung, DH_Post3W_53_Belastung, DH_Post3W_54_Belastung, 
    DH_Post3W_55_Belastung, DH_Post3W_56_Belastung, DH_Post3W_57_Belastung, DH_Post3W_58_Belastung).
EXECUTE.

